Mailinglist Archive: opensuse-translation (148 mails)

< Previous Next >
Re: [opensuse-translation] Problem with the verification scripts.
On 21/04/12 03:28, Carlos E. R. wrote:
cer@Telcontar:~/Projects/babel/SuSE/trunk/yast/es/po> svn commit
--message "translated some files, pending verification"
Sending po/bootloader.es.po
Sending po/multipath.es.po
Sending po/s390.es.po
Transmitting file data ...svn: Commit failed (details follow):
svn: Commit blocked by pre-commit hook (exit code 1) with output:
/srv/svn/opensuse-i18n-repos/hooks/verify-po.py:18: DeprecationWarning:
The popen2 module is deprecated. Use the subprocess module.
import popen2
<stdin>:314: `msgid' and `msgstr' entries do not both end with '\n'
<stdin>:333: `msgid' and `msgstr' entries do not both end with '\n'
<stdin>:544: `msgid' and `msgstr' entries do not both end with '\n'
/usr/bin/msgfmt: found 3 fatal errors
PO format check failed for 'trunk/yast/es/po/s390.es.po'

The problem is that in s390.es.po (that is one of the SLE-only files, so
you should ignore it) you have 3 strings: around lines 314, 333, and 544
where one between msgid and msgstr ends with \n and an empty line while
the other ends with some text.

It is enough to make msgstr end as msgid and the problem disappears.

FYI, you can pre-check files before submitting them using the command
"msgfmt -o /dev/null file".

Best,
Andrea
--
To unsubscribe, e-mail: opensuse-translation+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-translation+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References